org.apache.ignite.internal.visor.streamer

## Class VisorStreamerMetrics

- java.lang.Object
- - org.apache.ignite.internal.visor.streamer.VisorStreamerMetrics

All Implemented Interfaces:
  Serializable

    public class VisorStreamerMetrics
    extends Object
    implements Serializable

Data transfer object for `StreamerMetrics`.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`VisorStreamerMetrics()`

### Method Summary

Methods
`int` `active()`
`void` `active(int active)`
`int` `capacity()`
`void` `capacity(int cap)`
`static VisorStreamerMetrics` `from(IgniteStreamer streamer)`
`int` `pipelineAvgExecutionNodes()`
`void` `pipelineAvgExecutionNodes(int pipelineAvgExecNodes)`
`long` `pipelineAvgExecutionTime()`
`void` `pipelineAvgExecutionTime(long pipelineAvgExecTm)`
`int` `pipelineMaxExecutionNodes()`
`void` `pipelineMaxExecutionNodes(int pipelineMaxExecNodes)`
`long` `pipelineMaxExecutionTime()`
`void` `pipelineMaxExecutionTime(long pipelineMaxExecTm)`
`int` `pipelineMinExecutionNodes()`
`void` `pipelineMinExecutionNodes(int pipelineMinExecNodes)`
`long` `pipelineMinExecutionTime()`
`void` `pipelineMinExecutionTime(long pipelineMinExecTm)`
`int` `queryAvgExecutionNodes()`
`void` `queryAvgExecutionNodes(int qryAvgExecNodes)`
`long` `queryAvgExecutionTime()`
`void` `queryAvgExecutionTime(long qryAvgExecTime)`
`int` `queryMaxExecutionNodes()`
`void` `queryMaxExecutionNodes(int qryMaxExecNodes)`
`long` `queryMaxExecutionTime()`
`void` `queryMaxExecutionTime(long qryMaxExecTime)`
`int` `queryMinExecutionNodes()`
`void` `queryMinExecutionNodes(int qryMinExecNodes)`
`long` `queryMinExecutionTime()`
`void` `queryMinExecutionTime(long qryMinExecTime)`
`String` `toString()`
`int` `waiting()`
`void` `waiting(int waiting)`
`int` `windowSize()`
`void` `windowSize(int windowSize)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### VisorStreamerMetrics

    public VisorStreamerMetrics()

### Method Detail

#### from

    public static VisorStreamerMetrics from(IgniteStreamer streamer)

Parameters:
  `streamer` - Source streamer.
Returns:
  Data transfer streamer for given streamer.

#### active

    public int active()

Returns:
  Active stages.

#### active

    public void active(int active)

Parameters:
  `active` - New active stages.

#### waiting

    public int waiting()

Returns:
  Waiting stages.

#### waiting

    public void waiting(int waiting)

Parameters:
  `waiting` - New waiting stages.

#### capacity

    public int capacity()

Returns:
  Stages execution capacity.

#### capacity

    public void capacity(int cap)

Parameters:
  `cap` - New stages execution capacity.

#### pipelineMinExecutionTime

    public long pipelineMinExecutionTime()

Returns:
  Pipeline minimum execution time.

#### pipelineMinExecutionTime

    public void pipelineMinExecutionTime(long pipelineMinExecTm)

Parameters:
  `pipelineMinExecTm` - New pipeline minimum execution time.

#### pipelineAvgExecutionTime

    public long pipelineAvgExecutionTime()

Returns:
  Pipeline average execution time.

#### pipelineAvgExecutionTime

    public void pipelineAvgExecutionTime(long pipelineAvgExecTm)

Parameters:
  `pipelineAvgExecTm` - New pipeline average execution time.

#### pipelineMaxExecutionTime

    public long pipelineMaxExecutionTime()

Returns:
  Pipeline maximum execution time.

#### pipelineMaxExecutionTime

    public void pipelineMaxExecutionTime(long pipelineMaxExecTm)

Parameters:
  `pipelineMaxExecTm` - New pipeline maximum execution time.

#### pipelineMinExecutionNodes

    public int pipelineMinExecutionNodes()

Returns:
  Minimum number of unique nodes in pipeline execution.

#### pipelineMinExecutionNodes

    public void pipelineMinExecutionNodes(int pipelineMinExecNodes)

Parameters:
  `pipelineMinExecNodes` - New minimum number of unique nodes in pipeline execution.

#### pipelineAvgExecutionNodes

    public int pipelineAvgExecutionNodes()

Returns:
  Average number of unique nodes in pipeline execution.

#### pipelineAvgExecutionNodes

    public void pipelineAvgExecutionNodes(int pipelineAvgExecNodes)

Parameters:
  `pipelineAvgExecNodes` - New average number of unique nodes in pipeline execution.

#### pipelineMaxExecutionNodes

    public int pipelineMaxExecutionNodes()

Returns:
  Maximum number of unique nodes in pipeline execution.

#### pipelineMaxExecutionNodes

    public void pipelineMaxExecutionNodes(int pipelineMaxExecNodes)

Parameters:
  `pipelineMaxExecNodes` - New maximum number of unique nodes in pipeline execution.

#### queryMinExecutionTime

    public long queryMinExecutionTime()

Returns:
  Query minimum execution time.

#### queryMinExecutionTime

    public void queryMinExecutionTime(long qryMinExecTime)

Parameters:
  `qryMinExecTime` - New query minimum execution time.

#### queryAvgExecutionTime

    public long queryAvgExecutionTime()

Returns:
  Query average execution time.

#### queryAvgExecutionTime

    public void queryAvgExecutionTime(long qryAvgExecTime)

Parameters:
  `qryAvgExecTime` - New query average execution time.

#### queryMaxExecutionTime

    public long queryMaxExecutionTime()

Returns:
  Query maximum execution time.

#### queryMaxExecutionTime

    public void queryMaxExecutionTime(long qryMaxExecTime)

Parameters:
  `qryMaxExecTime` - New query maximum execution time.

#### queryMinExecutionNodes

    public int queryMinExecutionNodes()

Returns:
  Minimum number of unique nodes in query execution.

#### queryMinExecutionNodes

    public void queryMinExecutionNodes(int qryMinExecNodes)

Parameters:
  `qryMinExecNodes` - New minimum number of unique nodes in query execution.

#### queryAvgExecutionNodes

    public int queryAvgExecutionNodes()

Returns:
  Average number of unique nodes in query execution.

#### queryAvgExecutionNodes

    public void queryAvgExecutionNodes(int qryAvgExecNodes)

Parameters:
  `qryAvgExecNodes` - New average number of unique nodes in query execution.

#### queryMaxExecutionNodes

    public int queryMaxExecutionNodes()

Returns:
  Maximum number of unique nodes in query execution.

#### queryMaxExecutionNodes

    public void queryMaxExecutionNodes(int qryMaxExecNodes)

Parameters:
  `qryMaxExecNodes` - New maximum number of unique nodes in query execution.

#### windowSize

    public int windowSize()

Returns:
  Current window size.

#### windowSize

    public void windowSize(int windowSize)

Parameters:
  `windowSize` - New current window size.

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

2015 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.0.0-RC1
Release Date | : February 17 2015